> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 执行数据源节点

> 在知识流水线中执行单个数据源节点。返回包含节点执行结果的流式响应。



## OpenAPI

````yaml /zh/api-reference/openapi_knowledge.json post /datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run
openapi: 3.0.1
info:
  title: 知识库 API
  description: >-
    用于管理知识库、文档、分段、元数据和标签的 API，包括创建、检索和配置操作。**注意：**单个知识库 API
    密钥有权操作同一账户下所有可见的知识库。请注意数据安全。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Knowledge API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run:
    post:
      tags:
        - 知识流水线
      summary: 执行数据源节点
      description: 在知识流水线中执行单个数据源节点。返回包含节点执行结果的流式响应。
      operationId: runDatasourceNodeZh
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: 知识库 ID。
        - name: node_id
          in: path
          required: true
          schema:
            type: string
          description: 要执行的数据源节点 ID。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - inputs
                - datasource_type
                - is_published
              properties:
                inputs:
                  type: object
                  additionalProperties: true
                  description: 数据源节点的输入变量。
                datasource_type:
                  type: string
                  enum:
                    - online_document
                    - local_file
                    - website_crawl
                    - online_drive
                  description: 数据源类型。
                credential_id:
                  type: string
                  nullable: true
                  description: 用于数据源认证的凭证 ID。
                is_published:
                  type: boolean
                  description: 运行节点的已发布版本还是草稿版本。`true` 运行已发布版本，`false` 运行草稿版本。
      responses:
        '200':
          description: 包含节点执行事件的流式响应。
          content:
            text/event-stream:
              schema:
                type: string
                description: 包含节点执行进度和结果的 Server-Sent Events 流。
        '404':
          description: '`not_found` : 未找到知识库。'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Dataset not found.
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````